﻿@{
    Layout = "~/Views/Shared/_template.cshtml";
}

<br />
&nbsp;&nbsp;&nbsp;<b>@Html.ActionLink("Ajouter une formation", "CreateFormation")</b>
<span class="pull-right"><a href="@Url.Action("Map","Quizz")" style="font-weight: bold;" data-toggle="modal" data-target="#mymModal">Localisation des formations</a></span>

<div class="modal fade" id="mymModal">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="container">
                <div class="row">
                    <div id="map-canvas" class="">
                        @{ Html.RenderPartial("Map");}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<br />
<br />
@foreach (var p in ViewBag.result)
{


    <div class="card Search">
        <div class="card-header ui-sortable-handle" style="cursor: move;">
            <h3 class="card-title">
                <i class="fas fa-chart-pie mr-1"></i>
                <b><a href="">@p.nom_formation</a></b>
            </h3>
            <div class="card-tools">

                <ul class="nav nav-pills ml-auto">
                    <li class="nav-item">
                        @Html.ActionLink("Update", "UpdateFormation", new { id = p.id })&nbsp;&nbsp;&nbsp;
                    </li>
                    <li class="nav-item">
                        @Html.ActionLink("Delete", "DeleteFormation", new { id = p.id })

                    </li>
                </ul>
            </div>
        </div><!-- /.card-header -->

        <div class="card-body">
            <div class="tab-content p-0">
                <div class="row">
                    <div class="col-md-10">
                        <p>
                            <b>Description :</b> @p.description_formation
                        </p>
                        <p>
                            <b>Niveau :</b> @p.niveau_formation
                        </p>
                        <p>
                            <b>Durée :</b> @p.duree_formation
                        </p>
                        <p>
                            <b>Prix :</b> @p.prix_formation
                        </p>
                    </div>

                    <div class="col-md-2">
                        <ul>
                            <a href="">Liste des employés</a>
                            @foreach (var item in ViewBag.users)
                            {
                                if (item.FormationID == p.id)
                                {

                                    <li>@item.FullName</li>

                                }
                            }
                        </ul>

                    </div>

                </div>
            </div><!-- /.card-body -->
        </div>
        <div class="card-footer">
            <div class="card-tools">
                <ul class="nav nav-pills ml-auto">
                    <li class="nav-item">
                        @Html.ActionLink("Affecter les employés selectionnés", "AffecterEtMail", new { id = p.id })&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
                        @Html.ActionLink("Ajouter Tuto", "AddVideo", new { id = p.id })
                    </li>
                </ul>

            </div>
        </div>
    </div>

}
<script type="text/javascript">

    $(document).ready(function () {

        $("a[class*='btn-danger']").click(function (evt) {

            evt.preventDefault();

            if (confirm("Etes vous sur de vouloir effacer cet element ?")) {
                var id=$(this).attr("custom");
                $.ajax({
                    url: '@Url.Action("DeleteFormation", "Quizz")',
                    type: "POST",
                    data: '{ id:'+ id + '}',
                    dataType: "json",
                    success: function (data) {
                        alert(data.d);
                    },
                    error: function (xhr) {
                        alert('error');
                    }
                });
            }
        });

    });

</script>

<script>
    $(document).ready(function () {
        function Contains(text_one, text_two) {
            if (text_one.indexOf(text_two) != -1)
                return true;
        }
        $("#444").keyup(function () {
            var searchText = $("#444").val().toLowerCase();
            $(".Search").each(function () {
                if (!Contains($(this).text().toLowerCase(), searchText)) {
                    $(this).hide();
                }
                else {
                    $(this).show();
                }
            });
        });
    });
</script>
@if (TempData["MessageKK"] != null)
{
    <script>
        $("#123").click(function () {
            toastr.success("@TempData["MessageKK"]");
        });
    </script>
}
@section scripts {
    <link href="~/Content/toastr.css" rel="stylesheet" />
    <script src="~/Scripts/toastr.js"></script>
    @if (TempData["Message"] != null)
    {
        <script type="text/javascript">toastr.success("@TempData["Message"]");</script>
    }
    @if (TempData["MessageC"] != null)
    {
        <script type="text/javascript">toastr.success("@TempData["MessageC"]");</script>
    }
    @if (TempData["MessageKK"] != null)
    {
        <script type="text/javascript">toastr.success("@TempData["MessageKK"]");</script>
    }
    @if (TempData["MessageDD"] != null)
    {
        <script type="text/javascript">toastr.success("@TempData["MessageDD"]");</script>
    }
}